#include <string>
#include <vector>
#include <fstream>
#include <cstdio>

using namespace std;

int main()
{
	ifstream cin("reading.in");
	ofstream cout("reading.out");
	int count3 = 0, count3ok = 0;
	string s, t;
	while (cin >> s) t += s;
	bool ok = false;
	for (size_t i = 0; i < t.length(); i++)
		ok |= isdigit(t[i]) | t[i] == ':';
	if (ok) cout << "Real life\n";
	else cout << "Dreaming\n";
}